%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: Python plugin for KDevelop
Name: kdevelop4-python
Version: 1.4.1
Release: %mkrel 2
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/kdev-python/%{version}/src/kdev-python-v%{version}.tar.bz2
Patch0: kdev-python-v1.4.0b-link.patch
License: GPLv2+
Group: Development/Python
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
Buildrequires: python-devel
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
Python plugin for KDevelop.

%files
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/*.so
%{_kde_libdir}/*.so.*
%{_kde_appsdir}/kdevappwizard/templates/*.bz2
%{_kde_appsdir}/kdevpythonsupport
%{_kde_services}/*.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdev-python-v%{version}
%patch0 -p1

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build
rm -f %{buildroot}%{_libdir}/libpython%{py_ver}-kdevelop.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 321795
- new version 1.4.1

* Fri Nov 23 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 321230
- br python
- fix linkage
- fix tarballdir
- new version 1.4.0b

* Fri Oct 26 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 310132
- update file list
- imported package kdevelop4-python

